/* @font-face {
    font-family: RalstedaRegular;
    src: url('/assets/fonts/ralsteda/RalstedaRegular-4Bqy9.otf');
} */


body{
    font-family: 'Lato', sans-serif;
}

.card .card-body {
    font-family: 'Lato', sans-serif;
}

.navbar-dark-blue{
    background-color: #004B7B !important;
    color: #fff;
}

#navigation .active {
    border-bottom: 2px solid #44f4eb;
}

.bg-gradient-dark-blue {
    background-image: linear-gradient(310deg, #004B7B 0%, #006396  100%);
  }

.bg-orange{
    background-color: #ed6b06 !important;
    color: #fff;
}

.bg-orange-dashboard{
    background-color: #ee7626 !important;
    color: #fff;
}

.bg-dark-orange{
    background-color: #cc3600 !important;
    color: #fff;
}

.bg-dark-orange-dashboard{
    background-color: #d1461e !important;
    color: #fff;
}

.bg-main{
    background-color: #0096cc !important;
    color: #fff;
}

.bg-main-dashboard{
    background-color: #299dcf !important;
    color: #fff;
}


.bg-gradient-main {
    background-image: linear-gradient(310deg, #006396 0%, #0096cc 100%) !important;
  }


.bg-dark-blue{
    background-color: #004B7B !important;
    color: #fff;
}

.bg-blue{
    background-color: #006396 !important;
    color: #fff;
}

.bg-blue-dashboard{
    background-color: #206e9e !important;
    color: #fff;
}

.banner{
    background: url('/assets/word-torque/bg.jpg') center no-repeat;
    /* height: 482px; */
    background-size: 100% 100%;
}

.banner-links{
    align-items:start !important;
    height:85%  !important;
    min-height:100%  !important;
}

@media only screen and (max-width: 990px) {
    .banner-links{
        height:90%  !important;
        min-height:90%  !important;
    }

    .carousel-container{
        margin-top: 1rem !important;
    }
    
    .banner-links-bg{
        background-position: 106%!important;
    }
    .banner-links-pos{
        background-position: 105%!important;
    }
    .pad{
        padding:1rem;
    }
  }
  
  /* @media only screen and (max-width: 820px) {
    .banner-links-pos{
        background-position: 105%!important;
    }
  } */

  @media only screen and (min-width: 245px) and (max-width: 500px)  {
    .banner-links-bg{
        background-position: 141%!important;
    }
    .banner-links-pos{
        background-position: 125%!important;
    }
  }

.banner-links-bg{
    /* background-position: 100% !important; */
    background-size: contain !important;
    background-repeat: no-repeat !important;
    opacity:0.93;
}

.banner-links-pos{
    /* background-position: 100% !important; */
    background-size: contain !important;
    background-repeat: no-repeat !important;
    opacity:0.93;
}

.banner-links-tooltip {
    display:inline-block;
    position:relative;
    border-bottom:1px dotted #ddd;
    text-align:left;
}

.banner-links-tooltip .top {
    min-width:200px;
    top:0;
    left:50%;
    transform:translate(-50%, -100%);
    padding:10px 20px;
    color:#fff;
    background-color:var(--banner-color-var);
    font-weight:normal;
    font-size:13px;
    border-radius:8px;
    position:absolute;
    z-index:99999999;
    box-sizing:border-box;
    box-shadow:0 1px 8px rgba(0,0,0,0.5);
    visibility:hidden; opacity:0; transition:opacity 0.8s;
}

.banner-links-tooltip:hover .top {
    visibility:visible; opacity:1;
}

.banner-links-tooltip .top i {
    position:absolute;
    top:100%;
    left:50%;
    margin-left:-12px;
    width:24px;
    height:12px;
    overflow:hidden;
}

.banner-links-tooltip .top i::after {
    content:'';
    position:absolute;
    width:12px;
    height:12px;
    left:50%;
    transform:translate(-50%,-50%) rotate(45deg);
    background-color:var(--banner-color-var);
    box-shadow:0 1px 8px rgba(0,0,0,0.5);
}

.owl-carousel {
    position: relative; }
    .owl-carousel .owl-item {
      opacity: 1; }
      .owl-carousel .owl-item.active {
        opacity: 1; }
    .owl-carousel .owl-nav {
      position: absolute;
      top: 50%;
      width: 100%; }
      .owl-carousel .owl-nav .owl-prev,
      .owl-carousel .owl-nav .owl-next {
        position: absolute;
        -webkit-transform: translateY(-50%);
        -ms-transform: translateY(-50%);
        transform: translateY(-50%);
        margin-top: -60px;
        color: rgba(0, 0, 0, 0.1) !important;
        -webkit-transition: 0.7s;
        -o-transition: 0.7s;
        transition: 0.7s;
        opacity: 0; }
        @media (prefers-reduced-motion: reduce) {
          .owl-carousel .owl-nav .owl-prev,
          .owl-carousel .owl-nav .owl-next {
            -webkit-transition: none;
            -o-transition: none;
            transition: none; } }
        .owl-carousel .owl-nav .owl-prev span:before,
        .owl-carousel .owl-nav .owl-next span:before {
          font-size: 30px; }
      .owl-carousel .owl-nav .owl-prev {
        left: 0; }
      .owl-carousel .owl-nav .owl-next {
        right: 0; }
    .owl-carousel .owl-dots {
      text-align: center;
      margin-top: 20px; }
      .owl-carousel .owl-dots .owl-dot {
        width: 10px;
        height: 10px;
        margin: 5px;
        border-radius: 50%;
        background: rgba(0, 0, 0, 0.1);
        position: relative; }
        .owl-carousel .owl-dots .owl-dot:hover, .owl-carousel .owl-dots .owl-dot:focus {
          outline: none !important; }
        .owl-carousel .owl-dots .owl-dot.active {
          background: #1089ff; }
    .owl-carousel:hover .owl-nav .owl-prev,
    .owl-carousel:hover .owl-nav .owl-next {
      opacity: 1; }
    .owl-carousel:hover .owl-nav .owl-prev {
      left: -25px; }
    .owl-carousel:hover .owl-nav .owl-next {
      right: -25px; }

  .owl-carousel.owl-drag .owl-item {
    -ms-touch-action: pan-y;
    touch-action: pan-y; }



.parsley-errors-list{
    color: #cc3600 !important;
    font-size: small;
    margin-top: 0.5rem;
}

.accordion-button:after {
    flex-shrink: 0;
    width: 1rem;
    height: 1rem;
    margin-left: auto;
    content: "";
    background-image: none;
    background-repeat: no-repeat;
    background-size: 1rem;
    transition: transform .2s ease-in-out;
}
.accordion-button:not(.collapsed):after {
    background-image: none;
    transform: rotate(180deg);
}

.accordion div button[aria-expanded=true] .collapse-open {
    display: block;
}

.accordion div button[aria-expanded=true] .collapse-close {
    display: none;
}
.border-book-details{
    border-top-right-radius: 11px;
    border-top-left-radius: 11px;
    border: 1px solid rgb(159,215,235);
    border-bottom: 0px;
}
.background-position{
    background-repeat: no-repeat!important;
    background-attachment: fixed;
    background-position-x:right!important;
    width:114%!important;
}

.no-image{
    padding: 15%;
    border: 1px solid #EAEAEA;
}

.card-title{
    word-break: break-word;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}

.card:hover .image  {
    background: rgba(0, 0, 0, 0.5);
    opacity: 0.3;
    /* border-top: 4px solid #8DE4F0; */
}

.card:hover .middle {
    opacity: 1;
}
  
.text {
    background: linear-gradient(90deg, rgba(39,118,218,0.6447172619047619) 0%, rgba(65,65,205,1) 0%, rgba(0,212,255,1) 100%);
    color: white;
    padding: 19px 18px;
    border-radius: 3rem;
}
  
  /* border-top: 4px solid #8DE4F0; */
  
.card-hover:hover .overlay {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    height: 100%;
    width: 100%;
    opacity: 0;
    transition: .5s ease;
    background-color: #008CBA;
}

.card .middle {
    transition: .5s ease;
    opacity: 0;
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    text-align: center;
}
  
.wow{
    filter: grayscale(100%);
}
  
.nav-link:hover{
    background-color: #005283;
    opacity: 0.75;
    color: white;
    cursor: pointer;
}

/* STYLE book details */
.book-details-icons {
    width: 50px;
}

.book-details-icons div{
    border-radius: 100%;
    border: 1px solid #f4f4f4;
}

.book-details-icons .image{
    border-radius: 100%;
    border: 1px solid #f4f4f4;
}

.not-allowed {
    cursor: not-allowed;
}

@media only screen and (min-width: 360px) and (max-width: 1024px) {
	.book-details-icons { 
        margin-top: 20px;
    }
}
/* STYLE book details end */

/* CSS Footer */
.footer {
    background: #ffffff;
    border-top: 1px solid #f4f4f4; 
}

.sub-footer {
    background: #0171a4;
}

.social img {
    border: 1px solid black;
    padding: 2px;
}

.text-p {
    text-overflow: ellipsis;
    word-wrap: break-word;
    min-width: 100%;
    max-width: 500px;
}

.links {
    color: #ffffff;
}

.links a {
    color: #ffffff;
    font-size: 14px;
}

.copyright {
    color: #ffffff;
    font-size: 14px;
}

.footer-logo {
    border: 1px solid #ccc;
}
/* CSS End Footer */

#backToTopButton {
    display: none;
    position: fixed;
    bottom: 23px;
    right: 30px;
    z-index: 99;
    font-size: 18px;
    border: none;
    outline: none;
    background-color: #0171a4;
    opacity: 0.5 !important;
    color: white;
    cursor: pointer;
    padding: 5px 15px;
    border-radius: 4px;
}

#freeBooksBtn{
    position: fixed;
    bottom: 65px;
    right: 30px;
    z-index: 99;
    font-size: 20px;
    border: none;
    outline: none;
    opacity:1 !important;
    background-color: #0171a4;
    color: white;
    cursor: pointer;
    padding: 5px 10px;
    border-radius: 4px;
}

#backToTopButton:hover {
    opacity: 1 !important;
}

.header-banner {
    border-radius: 1rem;

    .banner-title {
        width: 25%;
    }

    .banner-body {
        width: 75%;
    }

    @media screen and (max-width: 992px) {
        .banner-title {
            width: 100%;
            padding-right: 0;
        }

        .banner-body {
            width: 100%;
        }

        .full-background {
            border-radius: 1rem 1rem 0 0 !important;
        }
    }
}

.books-suffixes-icon {
    background: white;
    padding: 10px;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
}

/* CSS */
.btn-popup {
    appearance: btn;
    background-color: #1899D6;
    border: solid transparent;
    border-radius: 16px;
    border-width: 0 0 4px;
    box-sizing: border-box;
    color: #FFFFFF;
    cursor: pointer;
    display: inline-block;
    font-size: 15px;
    margin: 0;
    outline: none;
    overflow: visible;
    padding: 13px 16px;
    text-align: center;
    touch-action: manipulation;
    transform: translateZ(0);
    transition: filter .2s;
    user-select: none;
    -webkit-user-select: none;
    vertical-align: middle;
    width: 100%;
  }
  
.btn-popup:after {
    background-clip: padding-box;
    background-color:#4eaede;
    border: solid transparent;
    border-radius: 16px;
    border-width: 0 0 4px;
    bottom: 3px;
    content: "";
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    z-index: -1;
}
  
.btn-popup:main,
.btn-popup:focus {
    user-select: auto;
}
  
.btn-popup:hover:not(:disabled) {
    filter: brightness(1.1);
    -webkit-filter: brightness(1.1);
}
  
.btn-popup:disabled {
    cursor: auto;
}

.gutter-x-0 {
    --bs-gutter-x: 0;
}

.word-buttons {
    color: #fff;
    font-size: 1.7rem;
    width: 40%;

    @media screen and (max-width: 1128px) {
        width: 45%;
    }

    @media screen and (max-width: 823px) {
        width: 95%;
    }

    &.longer {
        @media screen and (max-width: 1500px) {
            width: 50%;
        }

        @media screen and (max-width: 1200px) {
            /* font-size: calc(2vh + (76.8 - 38.4) * ((100vw - 320px) / (1200 - 320))); */
            width: 95%;
        }

        @media screen and (max-width: 320px) {
            font-size: 2vh;
        }
    }
}

.four-buttons {
    color: #fff;
    font-size: 1.7rem;
    width: calc((100%/4) - 2rem);

    @media screen and (max-width: 1513px) {
        width: calc((100%/3) - 2rem);
        
    }

    @media screen and (max-width: 1128px) {
        width: calc((100%/2) - 2rem);
    }

    @media screen and (max-width: 823px) {
        width: calc(100% - 2rem);
        font-size: 1.5rem;
    }

    &.longer {
        @media screen and (max-width: 1500px) {
            width: 50%;
        }

        @media screen and (max-width: 1200px) {
            /* font-size: calc(2vh + (76.8 - 38.4) * ((100vw - 320px) / (1200 - 320))); */
            width: 95%;
           font-size: 1.5rem;
        }

        @media screen and (max-width: 320px) {
            font-size: 2vh;
        }
    }
}

.btn-20 {
    max-width: 60%;
    min-width: 20%;
}

.large-title {
    font-size: 32px;

    @media screen and (min-width: 320px) {
        font-size: calc(32px + (56 - 32) * ((100vw - 320px) / (1200 - 320)));
    }

    @media screen and (min-width: 1200px) {
      font-size: 56px;
    }
}

.medium-title {
    font-size: 25px !important;

    @media screen and (min-width: 320px) {
        font-size: calc(25px + (40 - 25) * ((100vw - 320px) / (1200 - 320))) !important;
    }

    @media screen and (min-width: 1200px) {
      font-size: 40px !important;
    }
}

.sidenav.subnav {
    z-index: 1029;

    .navbar-brand {
        width: 100%;
        margin-right: 0;
        padding: 1.5rem 1rem;
    }

    @media (max-width: 1200px) {
        transform: none !important;
    }
}

.book-details-body {
    .book-table-wrapper {
        @media screen and (min-width: 992px) {
            padding-right: 0 !important;
        }

        .book-details-icons {
            margin-top: 30px;
            display: flex;
            flex-direction: row;
            width: 100%;
            column-gap: 10px;
            justify-content: center;

            @media screen and (min-width: 992px) {
                margin-top: 100px;
                flex-direction: column;
                width: 50px;
            }
        }
    }
}

.image-container {
    transition: transform 0.3s;
    height: 300px; /* Set a fixed height */
    overflow: hidden; /* Hide any overflowing image parts */
   /*  border-top-left-radius: 10px;  Add rounded top-left corner 
    border-top-right-radius: 10px; Add rounded top-right corner 
 */
    >img {
        width: 100% !important; /* Fill the container horizontally */
        height: 100% !important; /* Fill the container vertically */
        object-fit: contain !important; /* Scale the image to cover the container while maintaining aspect ratio */
    }
}

.div-books-container:hover {
    transform: scale(1.1); /* Adjust the scale factor as needed */
    animation: zoom 0.3s ease;

    @keyframes zoom {
        from {
            transform: scale(1);
        }
        to {
            transform: scale(1.1);
        }
    }
}

@media (min-width: 1400px){
    .container,
    .container-sm,
    .container-md,
    .container-lg,
    .container-xl,
    .container-xxl {
      max-width: 1800px !important;
    }
}
